//
//  IndigitallInAppFlutterPlugin.h
//  indigitall_flutter_plugin
//
//  Created by indigitall on 18/1/23.
//

#import <Foundation/Foundation.h>
#import <IndigitallCore/HmacUtils.h>
#import "IndigitallInAppFParse.h"
#import <IndigitallInApp/IndigitallInApp.h>
NS_ASSUME_NONNULL_BEGIN
@interface IndigitallInAppFlutterPlugin : NSObject
+ (void) getInAppModelWithParams:(NSDictionary *)params result: (FlutterResult _Nonnull)result;

+ (void) inAppGetHtmlWithUrl: (NSDictionary *)params result: (FlutterResult _Nonnull)result;
+ (void) showPopUpWithParams:(NSDictionary *)params result: (FlutterResult _Nonnull)result;

+ (void) onClickWithParams: (NSDictionary *) params result: (FlutterResult _Nonnull)result;

+ (void) eventPrintInAppRequestWithParams: (NSDictionary *) params result: (FlutterResult _Nonnull)result;

+ (void) topicsListWithParams: (NSDictionary *) params result: (FlutterResult _Nonnull)result;
+ (void) topicsSubscribeWithParams: (NSArray<NSString*>*)params result: (FlutterResult _Nonnull)result;
+ (void) topicsUnsubscribeWithParams: (NSArray<NSString*>*)params result: (FlutterResult _Nonnull)result;
+ (void) addNewInAppToDismissForeverWithParams: (NSDictionary *) params result: (FlutterResult _Nonnull)result;

@end

NS_ASSUME_NONNULL_END
