//
//  IndigitallPushParse.h
//  indigitall_flutter_plugin
//
//  Created by indigitall on 18/1/23.
//
#import <Flutter/Flutter.h>
#import <Indigitall/Indigitall.h>

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface IndigitallPushFParse : NSObject
+ (void)jsonFromDevice: (INDevice *)device withKey: (NSString *)key withResult: (FlutterResult _Nonnull)result;
+ (NSArray<NSDictionary *>*) jsonArrayFromExternalApps: (NSArray<INCoreExternalApp *>*)externalApps;

+ (NSArray<NSDictionary *>*) jsonArrayFromTopics: (NSArray<INTopic *>*) topics;


+ (void) resultFromString: (NSString *)string withAction: (NSString *)action withResult: (FlutterResult _Nonnull) result;

+ (void) resultFromTopic: (NSArray<NSDictionary *>*) topics key: (NSString *) key withResult: (FlutterResult _Nonnull) result;

+ (void) jsonFromError: (INError *)error withResult: (FlutterResult _Nonnull) result;

+ (void) jsonFromStringError: (NSString *)message withResult: (FlutterResult _Nonnull) result;
@end

NS_ASSUME_NONNULL_END
