#import <Flutter/Flutter.h>
#import <Indigitall/Indigitall.h>

@interface IndigitallFlutterPlugin : NSObject<FlutterPlugin>
@property (nonatomic)Inbox * _Nullable inbox;

+ (IndigitallFlutterPlugin *_Nullable) indigitallFlutterPlugin;
+ (FlutterResult _Nullable) tokenRefreshResult;
+ (FlutterResult _Nullable) pushResult;
+ (void)sendNotification:(NSDictionary* _Nullable)userInfo;
+ (void)sendToken:(NSData* _Nullable)token;
+ (void) handleTapNotification: (UNNotificationResponse* _Nonnull) response;
@end
