//
//  IndigitallCustomerParse.h
//  indigitall_flutter_plugin
//
//  Created by indigitall on 18/1/23.
//

#import <Foundation/Foundation.h>

#import <Flutter/Flutter.h>
#import <Indigitall/Indigitall.h>

NS_ASSUME_NONNULL_BEGIN

@interface IndigitallCustomerFParse : NSObject

+ (NSDictionary *) jsonFromCustomer: (INCustomer *) customer;
+ (NSArray<NSDictionary *> *) jsonFromCustomerFields: (NSArray<INCustomerField *>*)customerFields;
+ (void) jsonFromError: (INError *)error withResult: (FlutterResult _Nonnull) result ;
@end

NS_ASSUME_NONNULL_END
