//
//  IndigitallInAppFParse.h
//  indigitall_flutter_plugin
//
//  Created by indigitall on 18/1/23.
//

#import <Foundation/Foundation.h>
#import <IndigitallInApp/IndigitallInApp.h>
#import <Flutter/Flutter.h>

NS_ASSUME_NONNULL_BEGIN

@interface IndigitallInAppFParse : NSObject
+ (void) jsonFromInApp: (INInApp *)inApp  withResult: (FlutterResult _Nonnull) result;
+ (void) jsonFromError: (INError *)error withResult: (FlutterResult _Nonnull) result;
+ (void) jsonFromInAppError: (INInAppError *)error withResult: (FlutterResult _Nonnull) result;
+ (void) setErrorWithErrorCode:(NSString *)code withMessage: (NSString *)message withResult: (FlutterResult _Nonnull) result;
+ (void) jsonArrayFromtopics: (NSArray<INInAppTopic *>*) topics withKey:(NSString *)key withResult: (FlutterResult _Nonnull) result;
+ (void) resultFromTopicString: (NSArray<NSString *>*) topics withKey: (NSString *) key withResult: (FlutterResult _Nonnull) result;
@end

NS_ASSUME_NONNULL_END
